org.apache.velocity.tools.generic

## Class ClassTool.ConstructorSub

- java.lang.Object
- - org.apache.velocity.tools.generic.ClassTool.Sub<T>
  - - org.apache.velocity.tools.generic.ClassTool.CallableSub<ClassTool.ConstructorSub>
    - - org.apache.velocity.tools.generic.ClassTool.ConstructorSub

All Implemented Interfaces:
  Comparable<ClassTool.ConstructorSub>

Enclosing class:
  ClassTool

    public static class ClassTool.ConstructorSub
    extends ClassTool.CallableSub<ClassTool.ConstructorSub>

A simplified wrapping interface for inspecting features of a `Constructor` in an inspected Class.

### Field Summary

Fields
`protected Constructor` `constructor`

### Fields inherited from class org.apache.velocity.tools.generic.ClassTool.CallableSub

`javadocRef, signature, uniqueName`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorSub(Constructor constructor)` Constructor inspector constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AnnotatedElement` `getElement()`
`protected int` `getModifiers()`
`String` `getName()`
`Class[]` `getParameters()`
`protected String` `getSubType()`
`boolean` `isVarArgs()` Returns true if the final parameter for the constructor was declared as a vararg.

### Methods inherited from class org.apache.velocity.tools.generic.ClassTool.CallableSub

`getJavadocRef, getParameterCount, getSignature, getUniqueName, signature, takesParameters`

### Methods inherited from class org.apache.velocity.tools.generic.ClassTool.Sub

`compareTo, equals, getAnnotations, hashCode, isAbstract, isDeprecated, isFinal, isInterface, isNative, isPrivate, isProtected, isPublic, isStatic, isStrict, isSynchronized, isTransient, isVolatile, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### constructor

    protected Constructor constructor

### Constructor Detail

#### ConstructorSub

    public ConstructorSub(Constructor constructor)

Constructor inspector constructor

Parameters:
  `constructor` - constructor to inspect

### Method Detail

#### getElement

    protected AnnotatedElement getElement()

Specified by:
  `getElement` in class `ClassTool.Sub<ClassTool.ConstructorSub>`
Returns:
  inspected element

#### getName

    public String getName()

Specified by:
  `getName` in class `ClassTool.Sub<ClassTool.ConstructorSub>`
Returns:
  inspected constructor name

#### getParameters

    public Class[] getParameters()

Specified by:
  `getParameters` in class `ClassTool.CallableSub<ClassTool.ConstructorSub>`
Returns:
  inspected constructor parameters

#### isVarArgs

    public boolean isVarArgs()

Returns true if the final parameter for the constructor was declared as a vararg.

Specified by:
  `isVarArgs` in class `ClassTool.CallableSub<ClassTool.ConstructorSub>`
Returns:
  whether the inspected constructor is vararg

#### getModifiers

    protected int getModifiers()

Specified by:
  `getModifiers` in class `ClassTool.Sub<ClassTool.ConstructorSub>`
Returns:
  inspected constructor modifiers

#### getSubType

    protected String getSubType()

Specified by:
  `getSubType` in class `ClassTool.Sub<ClassTool.ConstructorSub>`
Returns:
  inspector type, aka "constructor"